UpdateJsonRules
curl --request POST \
--url https://api.siftstack.com/api/v1/rules:updateJson \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"assetId": "<string>",
"rulesJson": "<string>",
"organizationId": "<string>"
}
}
'import requests
url = "https://api.siftstack.com/api/v1/rules:updateJson"
payload = { "request": {
"assetId": "<string>",
"rulesJson": "<string>",
"organizationId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/rules:updateJson"
payload := strings.NewReader("{\n \"request\": {\n \"assetId\": \"<string>\",\n \"rulesJson\": \"<string>\",\n \"organizationId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"response": {
"success": true,
"totalRulesCount": 123,
"rulesCreatedCount": 123,
"rulesUpdatedCount": 123,
"rulesDeletedCount": 123,
"errorMessages": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}RuleService
UpdateJsonRules
Batch update rules given the rules_json which is a JSON list of rules.
POST
/
api
/
v1
/
rules:updateJson
UpdateJsonRules
curl --request POST \
--url https://api.siftstack.com/api/v1/rules:updateJson \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"assetId": "<string>",
"rulesJson": "<string>",
"organizationId": "<string>"
}
}
'import requests
url = "https://api.siftstack.com/api/v1/rules:updateJson"
payload = { "request": {
"assetId": "<string>",
"rulesJson": "<string>",
"organizationId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/rules:updateJson"
payload := strings.NewReader("{\n \"request\": {\n \"assetId\": \"<string>\",\n \"rulesJson\": \"<string>\",\n \"organizationId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"response": {
"success": true,
"totalRulesCount": 123,
"rulesCreatedCount": 123,
"rulesUpdatedCount": 123,
"rulesDeletedCount": 123,
"errorMessages": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I